Subject: bug#39341: Installer using 100% of a CPU core

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 29 Apr 2021 12:47:35 +0200

On Thu, Apr 29, 2021 at 11:33:17AM +0200, Mathieu Othacehe wrote:
> Conveniently, that input was always the main user keyboard I guess. The
> attached patch fixes that issue […]

Aha!  Thank you.

This patch fixed it on my Beebox PC.  Note that my Beebox only ever
had a single input device: a USB keyboard.

Now I can also confirm how before your fix, Mathieu, I triggered the
keyboard layout switch the one time it did actually switch: By
unplugging and replugging my USB keyboard.  Then it used the new
layout.  (When I use another computer, I take the keyboard to the new
computer, that is why I did that.)

Regards,
Florian